	'use strict';

angular.module("myApp").config(['$routeProvider', function ($routeProvider) {
	$routeProvider
		.when("/", {
			templateUrl: "home/home.html",
			controller: "homeController",
			controllerAs: "vm"
		})
		.when("/player/:video", {
		templateUrl: "home/partials/stateVideo.html",
		controller: "videoController",
		controllerAs: "vm"
		})
		.when("/cast/:video", {
		templateUrl: "home/partials/stateCast.html",
		controller: "videoController",
		controllerAs: "vm"
		})
	.when("/live/:video", {
		templateUrl: "home/partials/stateLive.html",
		controller: "videoController",
		controllerAs: "vm"
		})
	.when("/bundle/:bundle", {
		templateUrl: "home/partials/stateBundle.html",
		controller: "bundleController",
		controllerAs: "vm"
		})
	.when("/webtv/:usercode", {
		templateUrl: "home/partials/stateWebtv.html",
		controller: "webtvController",
		controllerAs: "vm"
		});
}]);
angular.module('myApp').controller('homeController', ['getWimConfig',function(getWimConfig) {
	var vm = this;

	init();

	function init() {
		vm.searchObj = {};
	}
}]);
	angular.module('myApp').controller('videoController', ['$route','$routeParams', function($route,$routeParams) {
	var vm = this;

	init();
	function init() {
		vm.videoId = $routeParams.video;
	}
}]);

angular.module('myApp').controller('bundleController', ['$route','$routeParams', function($route,$routeParams) {
	var vm = this;

	init();
	function init() {
		vm.bundleId = $routeParams.bundle;
	}
}]);

angular.module('myApp').controller('webtvController', ['$route','$routeParams', function($route,$routeParams) {
	var vm = this;

	init();
	function init() {
		vm.userCode = $routeParams.usercode;
	}
}]);